Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.spiderchart
Class FillSpiderPlot

    java.lang.Object
      net.sf.jasperreports.components.spiderchart.FillSpiderPlot

All Implemented Interfaces:
  java.io.Serializable, ChartPlot, SpiderPlot

    public class FillSpiderPlot

extends java.lang.Object
implements SpiderPlot

Version:
  $Id: FillSpiderPlot.java 3889 2010-07-16 10:52:00Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected SpiderPlot` | `parent`

Constructor Summary
`FillSpiderPlot(SpiderPlot spiderPlot, JRFillObjectFactory factory)`

Method Summary
`java.awt.Color` | `getAxisLineColor()`
`java.lang.Float` | `getAxisLineWidth()`
`java.awt.Color` | `getBackcolor()` Gets the chart background color.
`java.lang.Float` | `getBackgroundAlpha()` Gets the transparency factor for this plot background.
`java.lang.Float` | `getForegroundAlpha()` Gets the transparency factor for this plot foreground.
`java.lang.Double` | `getHeadPercent()`
`java.lang.Double` | `getInteriorGap()`
`java.awt.Color` | `getLabelColor()`
`JRFont` | `getLabelFont()`
`java.lang.Double` | `getLabelGap()`
`JRExpression` | `getMaxValueExpression()`
`org.jfree.chart.plot.PlotOrientation` | `getOrientation()` Gets the plot orientation (horizontal or vertical).
`SpiderRotationEnum` | `getRotation()`
`java.lang.Double` | `getStartAngle()`
`TableOrderEnum` | `getTableOrder()`
`java.lang.Boolean` | `getWebFilled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected SpiderPlot parent

Constructor Detail

### FillSpiderPlot

    public FillSpiderPlot(SpiderPlot spiderPlot,
                          JRFillObjectFactory factory)

Method Detail

### getLabelFont

    public JRFont getLabelFont()

  Specified by:
    `getLabelFont` in interface `SpiderPlot`
  Returns:
    the labelFont

### getMaxValueExpression

    public JRExpression getMaxValueExpression()

  Specified by:
    `getMaxValueExpression` in interface `SpiderPlot`
  Returns:
    the maxValueExpression

### getRotation

    public SpiderRotationEnum getRotation()

  Specified by:
    `getRotation` in interface `SpiderPlot`
  Returns:
    the rotation

### getTableOrder

    public TableOrderEnum getTableOrder()

  Specified by:
    `getTableOrder` in interface `SpiderPlot`
  Returns:
    the tableOrder

### getWebFilled

    public java.lang.Boolean getWebFilled()

  Specified by:
    `getWebFilled` in interface `SpiderPlot`
  Returns:
    the webFilled

### getStartAngle

    public java.lang.Double getStartAngle()

  Specified by:
    `getStartAngle` in interface `SpiderPlot`
  Returns:
    the startAngle

### getHeadPercent

    public java.lang.Double getHeadPercent()

  Specified by:
    `getHeadPercent` in interface `SpiderPlot`
  Returns:
    the headPercent

### getInteriorGap

    public java.lang.Double getInteriorGap()

  Specified by:
    `getInteriorGap` in interface `SpiderPlot`
  Returns:
    the interiorGap

### getAxisLineColor

    public java.awt.Color getAxisLineColor()

  Specified by:
    `getAxisLineColor` in interface `SpiderPlot`
  Returns:
    the axisLineColor

### getAxisLineWidth

    public java.lang.Float getAxisLineWidth()

  Specified by:
    `getAxisLineWidth` in interface `SpiderPlot`
  Returns:
    the axisLineWidth

### getLabelGap

    public java.lang.Double getLabelGap()

  Specified by:
    `getLabelGap` in interface `SpiderPlot`
  Returns:
    the labelGap

### getLabelColor

    public java.awt.Color getLabelColor()

  Specified by:
    `getLabelColor` in interface `SpiderPlot`
  Returns:
    the labelColor

### getBackcolor

    public java.awt.Color getBackcolor()

  Description copied from interface: `ChartPlot`
  Gets the chart background color.

  Specified by:
    `getBackcolor` in interface `ChartPlot`

### getBackgroundAlpha

    public java.lang.Float getBackgroundAlpha()

  Description copied from interface: `ChartPlot`
  Gets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

  Specified by:
    `getBackgroundAlpha` in interface `ChartPlot`
  Returns:
    a float value between 0 and 1.

### getForegroundAlpha

    public java.lang.Float getForegroundAlpha()

  Description copied from interface: `ChartPlot`
  Gets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

  Specified by:
    `getForegroundAlpha` in interface `ChartPlot`
  Returns:
    a float value between 0 and 1.

### getOrientation

    public org.jfree.chart.plot.PlotOrientation getOrientation()

  Description copied from interface: `ChartPlot`
  Gets the plot orientation (horizontal or vertical).

  Specified by:
    `getOrientation` in interface `ChartPlot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com